import {select,arc} from 'd3';
const svg= d3.select('svg');

const width=+svg.attr('width');
const
height=+svg.attr('height');
const g=svg.append('g').attr('transform','translate(${width/2},${height/2}');
const circle=g.append('circle');
circle.attr('r',height/2)
      .attr('cx',width/2)
.attr('cy',height/2).attr('fill','yellow').attr('stroke','black');

const eyeSpacing=50;
const eyeOffset=-50;
const eyeRadius=30;
const eyebrowwidth=50;
const leftEye=svg.append('circle')
.attr('r',30).attr('cx',width/2-eyeSpacing).attr('cy',height/2+eyeOffset);
const rightEye=svg.append('circle')
.attr('r',eyeRadius).attr('cx',width/2+eyeSpacing).attr('cy',height/2+eyeOffset);

const mouth=g.append('path').attr('d',arc()({
  innerRadius:80,
  outerRadius:100,
  startAngle:Math.PI/2,
  endAngle:Math.PI*3/2
}));
